# Class DatabricksJdbcConstants

java.lang.Object
com.databricks.jdbc.common.DatabricksJdbcConstants

public final class DatabricksJdbcConstants extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`DatabricksJdbcConstants.FakeServiceType`
Enum for the services that can be replaced with a fake service in integration tests.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`AAD_CLIENT_ID`
`static final String`
`ACCESS_TOKEN_AUTH_TYPE`
`static final Set<String>`
`ALLOWED_CLIENT_INFO_PROPERTIES`
`static final Map<String,String>`
`ALLOWED_SESSION_CONF_TO_DEFAULT_VALUES_MAP`
`static final String`
`ALLOWED_STAGING_INGESTION_PATHS`
`static final String`
`ALLOWED_VOLUME_INGESTION_PATHS`
`static final String`
`ARROW_METADATA_KEY`
`static final String`
`ASTERISK`
`static final String`
`AWS_CLIENT_ID`
`static final String`
`AZURE_MSI_AUTH_TYPE`
`static final String`
`BACKWARD_SLASH`
`static final Pattern`
`BASE_PATTERN`
`static final Pattern`
`BEGIN_PATTERN_FOR_SQL_SCRIPT`
`static final String`
`CATALOG`
`static final String`
`COMMA`
`static final Pattern`
`DECLARE_PATTERN`
`static final String`
`DEFAULT_HTTP_EXCEPTION_SQLSTATE`
`static final LogLevel`
`DEFAULT_LOG_LEVEL`
`static final int`
`DEFAULT_MAX_CONCURRENT_PRESIGNED_REQUESTS`
`static final int`
`DEFAULT_MAX_HTTP_CONNECTIONS_PER_ROUTE`
`static final int`
`DEFAULT_PORT`
`static final String`
`DEFAULT_SCHEMA`
`static final int`
`DEFAULT_UC_INGESTION_RETRY_TIMEOUT_SECONDS`
Default retry timeout in seconds for UC Volume operations.
`static final List<Integer>`
`DEFAULT_UC_INGESTION_RETRYABLE_HTTP_CODES`
Default retryable HTTP codes for UC Volume operations.
`static final String`
`DEFAULT_USERNAME`
`static final int`
`DEFUALT_STRING_COLUMN_LENGTH`
`static final Pattern`
`DESCRIBE_PATTERN`
`static final String`
`EMPTY_STRING`
`static final String`
`ENABLE_VOLUME_OPERATIONS`
`static final Pattern`
`EXCEPT_PATTERN`
`static final Pattern`
`EXPLAIN_PATTERN`
`static final String`
`FAKE_SERVICE_URI_PROP_SUFFIX`
`static final Pattern`
`FROM_PATTERN`
`static final String`
`FULL_STOP`
`static final String`
`GCP_CLIENT_ID`
`static final String`
`GCP_GOOGLE_CREDENTIALS_AUTH_TYPE`
`static final String`
`GCP_GOOGLE_ID_AUTH_TYPE`
`static final Pattern`
`GET_PATTERN`
`static final String`
`HTTP`
`static final Pattern`
`HTTP_CLI_PATTERN`
`static final Pattern`
`HTTP_CLUSTER_PATH_PATTERN`
`static final Pattern`
`HTTP_ENDPOINT_PATH_PATTERN`
`static final Pattern`
`HTTP_PATH_CLI_PATTERN`
`static final String`
`HTTP_SCHEMA`
`static final Pattern`
`HTTP_WAREHOUSE_PATH_PATTERN`
`static final String`
`HTTPS`
`static final String`
`HTTPS_SCHEMA`
`static final String`
`IDENTIFIER_QUOTE_STRING`
`static final Pattern`
`INSERT_PATTERN`
`static final Pattern`
`INTERSECT_PATTERN`
`static final String`
`INVALID_SESSION_STATE_MSG`
`static final String`
`IS_FAKE_SERVICE_TEST_PROP`
`static final String`
`IS_JDBC_TEST_ENV`
`static final String`
`JDBC_SCHEMA`
`static final Pattern`
`JDBC_URL_PATTERN`
`static final Map<String,String>`
`JSON_HTTP_HEADERS`
`static final Pattern`
`LIST_PATTERN`
`static final String`
`LOGIN_TIMEOUT`
`static final String`
`M2M_AUTH_TYPE`
`static final String`
`M2M_AZURE_CLIENT_SECRET_AUTH_TYPE`
`static final Pattern`
`MAP_PATTERN`
`static final int`
`MAX_DEFAULT_STRING_COLUMN_LENGTH`
`static final int`
`MAX_QUERY_PARAMETERS`
Maximum number of parameters allowed in a single Databricks query
`static final String`
`OFFLINE_ACCESS_SCOPE`
`static final String`
`PAIR_DELIMITER`
`static final String`
`PIPE`
`static final String`
`PKIX`
`static final String`
`PORT`
`static final String`
`PORT_DELIMITER`
`static final String`
`PROCEDURE`
`static final Pattern`
`PUT_PATTERN`
`static final String`
`REDACTED_TOKEN`
`static final Pattern`
`REMOVE_PATTERN`
`static final String`
`SCHEMA`
`static final String`
`SCHEMA_DELIMITER`
`static final Pattern`
`SELECT_PATTERN`
`static final Pattern`
`SET_PATTERN`
`static final Pattern`
`SHOW_PATTERN`
`static final String`
`SQL_SCOPE`
`static final String`
`TABLE`
`static final int`
`TEMPORARY_REDIRECT_STATUS_CODE`
`static final Pattern`
`TEST_PATH_PATTERN`
`static final String`
`THRIFT_ERROR_MESSAGE_HEADER`
`static final String`
`TLS`
`static final String`
`U2M_AUTH_TYPE`
`static final Pattern`
`UNION_PATTERN`
`static final String`
`URL_DELIMITER`
`static final String`
`USER_AGENT_DELIMITER`
`static final String`
`USER_NAME`
`static final int`
`UUID_LENGTH`
`static final String`
`VALID_UID_VALUE`
`static final Pattern`
`VALUES_PATTERN`
`static final int`
`VOLUME_OPERATION_MAX_RETRIES`
`static final String`
`VOLUME_OPERATION_STATUS_COLUMN_NAME`
`static final String`
`VOLUME_OPERATION_STATUS_SUCCEEDED`
`static final Pattern`
`WITH_PATTERN`

## Constructor Summary

Constructors
Constructor
Description
`DatabricksJdbcConstants()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### JDBC_URL_PATTERN

public static final Pattern JDBC_URL_PATTERN

### HTTP_WAREHOUSE_PATH_PATTERN

public static final Pattern HTTP_WAREHOUSE_PATH_PATTERN

### HTTP_ENDPOINT_PATH_PATTERN

public static final Pattern HTTP_ENDPOINT_PATH_PATTERN

### HTTP_CLI_PATTERN

public static final Pattern HTTP_CLI_PATTERN

### HTTP_PATH_CLI_PATTERN

public static final Pattern HTTP_PATH_CLI_PATTERN

### TEST_PATH_PATTERN

public static final Pattern TEST_PATH_PATTERN

### BASE_PATTERN

public static final Pattern BASE_PATTERN

### HTTP_CLUSTER_PATH_PATTERN

public static final Pattern HTTP_CLUSTER_PATH_PATTERN

### JDBC_SCHEMA

public static final String JDBC_SCHEMA

See Also:
  - Constant Field Values

### DEFAULT_LOG_LEVEL

public static final LogLevel DEFAULT_LOG_LEVEL

### USER_AGENT_DELIMITER

public static final String USER_AGENT_DELIMITER

See Also:
  - Constant Field Values

### URL_DELIMITER

public static final String URL_DELIMITER

See Also:
  - Constant Field Values

### PORT_DELIMITER

public static final String PORT_DELIMITER

See Also:
  - Constant Field Values

### DEFAULT_SCHEMA

public static final String DEFAULT_SCHEMA

See Also:
  - Constant Field Values

### PAIR_DELIMITER

public static final String PAIR_DELIMITER

See Also:
  - Constant Field Values

### SCHEMA_DELIMITER

public static final String SCHEMA_DELIMITER

See Also:
  - Constant Field Values

### PKIX

public static final String PKIX

See Also:
  - Constant Field Values

### TLS

public static final String TLS

See Also:
  - Constant Field Values

### HTTP

public static final String HTTP

See Also:
  - Constant Field Values

### HTTPS

public static final String HTTPS

See Also:
  - Constant Field Values

### HTTP_SCHEMA

public static final String HTTP_SCHEMA

See Also:
  - Constant Field Values

### HTTPS_SCHEMA

public static final String HTTPS_SCHEMA

See Also:
  - Constant Field Values

### LOGIN_TIMEOUT

public static final String LOGIN_TIMEOUT

See Also:
  - Constant Field Values

### U2M_AUTH_TYPE

public static final String U2M_AUTH_TYPE

See Also:
  - Constant Field Values

### M2M_AUTH_TYPE

public static final String M2M_AUTH_TYPE

See Also:
  - Constant Field Values

### AZURE_MSI_AUTH_TYPE

public static final String AZURE_MSI_AUTH_TYPE

See Also:
  - Constant Field Values

### M2M_AZURE_CLIENT_SECRET_AUTH_TYPE

public static final String M2M_AZURE_CLIENT_SECRET_AUTH_TYPE

See Also:
  - Constant Field Values

### ACCESS_TOKEN_AUTH_TYPE

public static final String ACCESS_TOKEN_AUTH_TYPE

See Also:
  - Constant Field Values

### VALID_UID_VALUE

public static final String VALID_UID_VALUE

See Also:
  - Constant Field Values

### SQL_SCOPE

public static final String SQL_SCOPE

See Also:
  - Constant Field Values

### OFFLINE_ACCESS_SCOPE

public static final String OFFLINE_ACCESS_SCOPE

See Also:
  - Constant Field Values

### FULL_STOP

public static final String FULL_STOP

See Also:
  - Constant Field Values

### COMMA

public static final String COMMA

See Also:
  - Constant Field Values

### PIPE

public static final String PIPE

See Also:
  - Constant Field Values

### ASTERISK

public static final String ASTERISK

See Also:
  - Constant Field Values

### EMPTY_STRING

public static final String EMPTY_STRING

See Also:
  - Constant Field Values

### IDENTIFIER_QUOTE_STRING

public static final String IDENTIFIER_QUOTE_STRING

See Also:
  - Constant Field Values

### BACKWARD_SLASH

public static final String BACKWARD_SLASH

See Also:
  - Constant Field Values

### CATALOG

public static final String CATALOG

See Also:
  - Constant Field Values

### PROCEDURE

public static final String PROCEDURE

See Also:
  - Constant Field Values

### SCHEMA

public static final String SCHEMA

See Also:
  - Constant Field Values

### TABLE

public static final String TABLE

See Also:
  - Constant Field Values

### USER_NAME

public static final String USER_NAME

See Also:
  - Constant Field Values

### PORT

public static final String PORT

See Also:
  - Constant Field Values

### DEFAULT_PORT

public static final int DEFAULT_PORT

See Also:
  - Constant Field Values

### THRIFT_ERROR_MESSAGE_HEADER

public static final String THRIFT_ERROR_MESSAGE_HEADER

See Also:
  - Constant Field Values

### ALLOWED_VOLUME_INGESTION_PATHS

public static final String ALLOWED_VOLUME_INGESTION_PATHS

See Also:
  - Constant Field Values

### ENABLE_VOLUME_OPERATIONS

public static final String ENABLE_VOLUME_OPERATIONS

See Also:
  - Constant Field Values

### ALLOWED_STAGING_INGESTION_PATHS

public static final String ALLOWED_STAGING_INGESTION_PATHS

See Also:
  - Constant Field Values

### VOLUME_OPERATION_STATUS_COLUMN_NAME

public static final String VOLUME_OPERATION_STATUS_COLUMN_NAME

See Also:
  - Constant Field Values

### VOLUME_OPERATION_STATUS_SUCCEEDED

public static final String VOLUME_OPERATION_STATUS_SUCCEEDED

See Also:
  - Constant Field Values

### VOLUME_OPERATION_MAX_RETRIES

public static final int VOLUME_OPERATION_MAX_RETRIES

See Also:
  - Constant Field Values

### UUID_LENGTH

public static final int UUID_LENGTH

See Also:
  - Constant Field Values

### ARROW_METADATA_KEY

public static final String ARROW_METADATA_KEY

See Also:
  - Constant Field Values

### ALLOWED_SESSION_CONF_TO_DEFAULT_VALUES_MAP

public static final Map<String,String> ALLOWED_SESSION_CONF_TO_DEFAULT_VALUES_MAP

### ALLOWED_CLIENT_INFO_PROPERTIES

public static final Set<String> ALLOWED_CLIENT_INFO_PROPERTIES

### JSON_HTTP_HEADERS

public static final Map<String,String> JSON_HTTP_HEADERS

### IS_FAKE_SERVICE_TEST_PROP

public static final String IS_FAKE_SERVICE_TEST_PROP

See Also:
  - Constant Field Values

### FAKE_SERVICE_URI_PROP_SUFFIX

public static final String FAKE_SERVICE_URI_PROP_SUFFIX

See Also:
  - Constant Field Values

### IS_JDBC_TEST_ENV

public static final String IS_JDBC_TEST_ENV

See Also:
  - Constant Field Values

### AWS_CLIENT_ID

public static final String AWS_CLIENT_ID

See Also:
  - Constant Field Values

### GCP_CLIENT_ID

public static final String GCP_CLIENT_ID

See Also:
  - Constant Field Values

### AAD_CLIENT_ID

public static final String AAD_CLIENT_ID

See Also:
  - Constant Field Values

### GCP_GOOGLE_CREDENTIALS_AUTH_TYPE

public static final String GCP_GOOGLE_CREDENTIALS_AUTH_TYPE

See Also:
  - Constant Field Values

### GCP_GOOGLE_ID_AUTH_TYPE

public static final String GCP_GOOGLE_ID_AUTH_TYPE

See Also:
  - Constant Field Values

### DEFAULT_HTTP_EXCEPTION_SQLSTATE

public static final String DEFAULT_HTTP_EXCEPTION_SQLSTATE

See Also:
  - Constant Field Values

### TEMPORARY_REDIRECT_STATUS_CODE

public static final int TEMPORARY_REDIRECT_STATUS_CODE

See Also:
  - Constant Field Values

### REDACTED_TOKEN

public static final String REDACTED_TOKEN

See Also:
  - Constant Field Values

### MAX_DEFAULT_STRING_COLUMN_LENGTH

public static final int MAX_DEFAULT_STRING_COLUMN_LENGTH

See Also:
  - Constant Field Values

### DEFUALT_STRING_COLUMN_LENGTH

public static final int DEFUALT_STRING_COLUMN_LENGTH

See Also:
  - Constant Field Values

### DEFAULT_MAX_CONCURRENT_PRESIGNED_REQUESTS

public static final int DEFAULT_MAX_CONCURRENT_PRESIGNED_REQUESTS

See Also:
  - Constant Field Values

### DEFAULT_UC_INGESTION_RETRYABLE_HTTP_CODES

public static final List<Integer> DEFAULT_UC_INGESTION_RETRYABLE_HTTP_CODES
Default retryable HTTP codes for UC Volume operations.

### DEFAULT_UC_INGESTION_RETRY_TIMEOUT_SECONDS

public static final int DEFAULT_UC_INGESTION_RETRY_TIMEOUT_SECONDS
Default retry timeout in seconds for UC Volume operations.

See Also:
  - Constant Field Values

### INVALID_SESSION_STATE_MSG

public static final String INVALID_SESSION_STATE_MSG

See Also:
  - Constant Field Values

### SELECT_PATTERN

public static final Pattern SELECT_PATTERN

### SHOW_PATTERN

public static final Pattern SHOW_PATTERN

### DESCRIBE_PATTERN

public static final Pattern DESCRIBE_PATTERN

### EXPLAIN_PATTERN

public static final Pattern EXPLAIN_PATTERN

### WITH_PATTERN

public static final Pattern WITH_PATTERN

### SET_PATTERN

public static final Pattern SET_PATTERN

### MAP_PATTERN

public static final Pattern MAP_PATTERN

### FROM_PATTERN

public static final Pattern FROM_PATTERN

### VALUES_PATTERN

public static final Pattern VALUES_PATTERN

### UNION_PATTERN

public static final Pattern UNION_PATTERN

### INTERSECT_PATTERN

public static final Pattern INTERSECT_PATTERN

### EXCEPT_PATTERN

public static final Pattern EXCEPT_PATTERN

### DECLARE_PATTERN

public static final Pattern DECLARE_PATTERN

### PUT_PATTERN

public static final Pattern PUT_PATTERN

### GET_PATTERN

public static final Pattern GET_PATTERN

### REMOVE_PATTERN

public static final Pattern REMOVE_PATTERN

### LIST_PATTERN

public static final Pattern LIST_PATTERN

### INSERT_PATTERN

public static final Pattern INSERT_PATTERN

### MAX_QUERY_PARAMETERS

public static final int MAX_QUERY_PARAMETERS
Maximum number of parameters allowed in a single Databricks query

See Also:
  - Constant Field Values

### BEGIN_PATTERN_FOR_SQL_SCRIPT

public static final Pattern BEGIN_PATTERN_FOR_SQL_SCRIPT

### DEFAULT_USERNAME

public static final String DEFAULT_USERNAME

See Also:
  - Constant Field Values

### DEFAULT_MAX_HTTP_CONNECTIONS_PER_ROUTE

public static final int DEFAULT_MAX_HTTP_CONNECTIONS_PER_ROUTE

See Also:
  - Constant Field Values

## Constructor Details

### DatabricksJdbcConstants

public DatabricksJdbcConstants()